Description

As a first real-world test, please create test scripts for realistic components from the robocup system. Unfortunately, there is no easy
component which only requires a single stream. So we need an implementation to provide inputs in parallel. Therefore, the most
usable candidate is:

objectbuilder
This component creates person percepts from detected legs and the global position of the robot.

To start the component:

/vol/robocup/faults-nightly/bin/ObjectBuilderAM -i 1 --rsb --debug

It receives two input streams:

/ros4rsb/slampose/

rst.geometry.Pose, 10 Hz

Exemplary messages for this channel look like (Common Lisp tools notation for the protocol buffers message):

#<POSE {100DC6BBD3}>
  Translation: #<TRANSLATION {100DC6BC13}>
    X       : 1.0241012971738617d0
    Y       : -0.33306173012149587d0
    Z       : 0.0d0
    Frame-Id: "" 
  Rotation   : #<ROTATION {100DC6BC93}>
    Qw      : 0.4331377223006606d0
    Qx      : 0.0d0
    Qy      : 0.0d0
    Qz      : 0.9013277503329162d0
    Frame-Id: "" 

/hri/percepts/legs/

rst.hri.LegsList, 60 Hz

Exemplary messages for this channel look like (Common Lisp tools notation for the protocol buffers message):

#<LEGS-LIST {100F934653}>
  List: 
    #<LEGS {100F9346F3}>
      Angle            : -2.9764585
      Angle-Variance   : 0.008
      Distance         : 3335.995
      Distance-Variance: 250.0
      Pair             : T
    #<LEGS {100F9347A3}>
      Angle            : -2.7562222
      Angle-Variance   : 0.008
      Distance         : 1482.7239
      Distance-Variance: 250.0
      Pair             : T
    #<LEGS {100F934863}>
      Angle            : 0.12211111
      Angle-Variance   : 0.008
      Distance         : 3055.0627
      Distance-Variance: 250.0
      Pair             : T
    #<LEGS {100F9348E3}>
      Angle            : -2.232889
      Angle-Variance   : 0.008
      Distance         : 3729.7957
      Distance-Variance: 250.0
      Pair             : <empty sequence>
    #<LEGS {100F9349C3}>
      Angle            : 0.47536114
      Angle-Variance   : 0.008
      Distance         : 6156.0
      Distance-Variance: 250.0
      Pair             : NIL
    #<LEGS {100F934A43}>
      Angle            : 0.5451389
      Angle-Variance   : 0.008
      Distance         : 4903.0005
      Distance-Variance: 250.0
      Pair             : NIL
    #<LEGS {100F934AC3}>
      Angle            : 0.9289167
      Angle-Variance   : 0.008
      Distance         : 7598.0005
      Distance-Variance: 250.0
      Pair             : NIL
    #<LEGS {100F934B43}>
      Angle            : 3.0702224
      Angle-Variance   : 0.008
      Distance         : 3733.4966
      Distance-Variance: 250.0
      Pair             : NIL

The number of Legs in each message varies.

Please provide a test program which varies the rates as well as the number of legs in the leg messages.

Related issues:
Related to RSB Performance Test API - Tasks # 2412: Extract component tests i... Resolved 10/23/2015

History
#1 - 10/15/2015 05:55 PM - H. Oestreich
- Status changed from New to In Progress
- % Done changed from 0 to 20

First test program implemented and tested successfully. 
TODO: The actual data is randomly generated. Perhaps implement a more reasonable data generation.

#2 - 10/23/2015 11:46 AM - J. Wienke
- Related to Tasks #2412: Extract component tests in individual examples added
#3 - 10/23/2015 05:39 PM - H. Oestreich
- Status changed from In Progress to Resolved
- % Done changed from 20 to 100

Test has been seperated. More reasonable data generation can be done in the future but does not seem necessary at the moment.
